clear;
clc;

addpath(genpath('./superpixel/'));

% inputdata path
img_path = 'C:\Users\Administrator\Desktop\360-image-saliency-code\data\';
img_list = dir(img_path);

% saving path
save_smap_path = 'C:\Users\Administrator\Desktop\360-image-saliency-code\saliency map\';
mkdir(save_smap_path);

for i=3:length(img_list)
    disp(i);
    image_full_path = strcat(img_path,img_list(i).name);
    img = imread(image_full_path);
    tic
    
    % compute saliency
    final_smap = get_saliency(img);
    
    toc
    disp('======================================');
    save_path = strcat(save_smap_path,img_list(i).name);
    imwrite(final_smap,save_path);
    
end